## Aatrox
- Adds a complex, high risk melee survivor who uses health as a resource to combo enemies and inflict heavy damage
- Includes complete item display support

[![](https://cdn.discordapp.com/attachments/469291841859092488/718244505391726732/unknown.png)](https://youtu.be/BAmi9uC4OP0)

[![](https://cdn.discordapp.com/attachments/469291841859092488/719505013298167928/unknown.png)]()

ping/dm me in the modding discord for any feedback/bugs- @rob#2365

## Important, Read Me
`"Mod doesn't work, what do?"`
Update R2API
Make sure everybody has the same mods installed
Please please please please don't use SteamBuildID, SetBuildID, UnmoddedClients or anything of the sort, it won't work
If it still doesn't work then @ me in the discord with output logs

## Playstyle and Tips/Tricks
Aatrox is a fragile, highly complex melee survivor who relies on healing via his primary to sustain himself while consuming his health to dish out heavy damage with intricate combos.

Aatrox's primary, Blood thirst, is a standard 3 hit combo that heals you on the third hit. While the healing is powerful, it should not be assumed that he can just heal through everything. Carelessness and overconfidence will prove to be a fatal flaw.

Aatrox's secondary, Blood Price, does nothing on its own. However, holding down the skill while using his primary will perform a variety of different moves depending on your inputs, shown below.

[![](https://cdn.discordapp.com/attachments/469291841859092488/719505030398607412/graphic.png)]()

Blood Thirst and Price are his bread and butter- Price providing strong burst, crowd control, mobility and DPS while Thirst helps to manage the large health costs. Good usage of Stinger makes dealing with airborne threats a breeze while High Time helps to keep larger threats like Stone Golems or Elder Lemurians in check.

Alternatively, you can take the alternate secondary Blades of Torment for an easier, more reliable damage source. While it lacks the versatility and damage potential of Blood Price, it deals decent damage from range on a short cooldown making it a good option for those who prefer a safer playstyle.

Massacre, Aatrox's special, is a risky self buff that, when used right, can be extremely rewarding. It's a toggle ability that grants a % damage bonus up to 100% and an armor bonus up to 80. These bonuses start at 1 and scale up the longer it's active. The catch though, is that it drains your health as well.  The health drain scales up even faster than the stat bonuses making it very risky to keep active. That being said, it's a great way to make use of your Hellbent passive for even more extra damage. Just don't get hit.

- Primary can instantly cancel into a Blood Price attack after a successful hit
- Chaining Stingers is a surefire way to deal with pesky wisps, but missing will leave you vulnerable
- Blood Thirst's heal is a percentage of your max health, making health and shields good as they increase your healing
- Dark Flight is a good earlygame AoE for clearing trash mobs
- Blades of Torment and Massacre stall your downward movement when used
- Massacre gives brief invulnerability on  cast, which can be used with good timing to block attacks
- Razorwire basically plays the game by itself
- Any items that boost or benefit from healing are invaluable
- Anything that boosts damage is great as Massacre's 200% damage bonus is applied after all other sources

## Known Issues
- Blood Price can be a bit buggy when starting a level, but using a regular attack first fixes it
- Blood Price drops a bunch of scary red error messages but they're harmless
- Menu animation is not networked
- Incompatible with RyanSkinAPI and will brick the game if used together supposedly

##Credits
Rein - Helped with the custom survivor setup
Violet Chaolan - Very helpful Wwise tutorial
Riot Games - made aatrox lol
Thanks to people in the modding discord for providing lots of valuable feedback and ideas

## Changelog
`1.1.5`
- Actually included the .dll this time, oops

`1.1.4`
- Fixed Blades of Torment not working in multiplayer
- Fixed Blood Price not costing health for clients
- Possibly fixed Blood Thirst not healing for clients, but untested and may not work still
- Fixed Massacre sound oversight

`1.1.3`
- Blood Price input system rewritten, now uses whatever inputs you have binded for forward/back rather than w/s key presses
- Polished attack animations
- Added strafe animations
- Increased Blades of Torment hitbox size
- Changed Massacre bonus from flat 1-25 damage to a 1-100% multiplier
- Greatly increased Massacre health cost to offset the massive scaling buff
- Added some more sounds and particles

`1.1.2`
- Added the rest of the item displays, now 100% finished even including the unused Wicked Ring and Ancestral Incubator
- Added footsteps
- Reduced Dark Flight cooldown to 14s
- Increased Dark Flight damage to 500%
- Some more tweaks to Shadow Step that should hopefully stop it from clipping through terrain for real this time
- Some sound tweaks

`1.1.1`
- Added even more displays, most are finished now

`1.1.0`
- Added item displays!!!!
- This means Milky Chrysalis and Crowdfunder now work!
- Not all item displays are in yet, but most of the important ones have been added

`1.0.1`
- Fixed Shadow Step clipping into terrain if used at the right angle
- Fixed Blood Thirst only healing if host
- Probably fixed Blades of Torment not working for clients
- Fixed death animation

`1.0.0`
- Initial release

##To Do
- HarbCrate item display support
- Support for Skills++
- Support for ClassicItems Ancient Scepter
- More alternate skills
- Network the menu animation
- Ragdoll
- Skins